import numpy as np
import matplotlib.pyplot as plt

x = np.arange(0,2,.01)
y1 = np.sin(np.pi*x)
y2 = np.sin(2*np.pi*x)
y3 = np.sin(4*np.pi*x)

ax = plt.subplot(111)
plt.plot(x,y1,'r--',x,y2,'g:',x,y3,'b')
plt.legend(('first signal',
	'second signal',
	'third signal'))

plt.show()
